Bug 58309 - rcp and rlogin ~/.rhost behaviors differ
Summary: rcp and rlogin ~/.rhost behaviors differ
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-14 03:11 UTC by Terry Griffin
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 10:53:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Terry Griffin 2002-01-14 03:11:05 UTC
Description of Problem:

rhs-server requires fully qualified host name in the ~/.rhosts file for rcp
connections but not for rsh/rlogin. 

Version-Release number of selected component (if applicable):

0.17-5

How Reproducible:

Steps to Reproduce:
1. On the server side, put a client host name that is resolvable by nslookup
in the ~/.rhost file. Exclude the domain name. You'll need a "search"
entry for the domain in /etc/resolv.conf in order to make it resolvable.
2. From the client, try to do a password-free rlogin to the server. (It should
work.)
3. Now from that same client try to do an rcp. You'll get a permission
denied error.
4. Now go back to the server side and put the fully qualified host name
in ~/.rhosts.
5. Verify rlogin from the client still works. (It should.)
6. Try rcp again. It will work this time.

Actual Results:

rcp authentication behavior differs from that of rlogin with respect to
host names in ~/.rhosts.

Expected Results:

rcp and rlogin authentication behavior with respect to host names in
~/.rhosts should be identical.

Additional Information:


Note You need to log in before you can comment on or make changes to this bug.